Bug 1249476 - [abrt] WARNING: CPU: 1 PID: 95 at kernel/softirq.c:150 __local_bh_enable_ip+0x72/0xa0() [NEEDINFO]
[abrt] WARNING: CPU: 1 PID: 95 at kernel/softirq.c:150 __local_bh_enable_ip+0...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-brcm80211
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ccaf96d8e3c20ccd09c0cab0e26...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 02:51 EDT by Martin Banas
Modified: 2015-12-24 05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:13:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
arend: needinfo?


Attachments (Terms of Use)
File: dmesg (77.24 KB, text/plain)
2015-08-03 02:51 EDT, Martin Banas
no flags Details
requested FC23 .config (156.48 KB, text/x-mpsub)
2015-12-24 05:01 EST, askulysh
no flags Details

  None (edit)
Description Martin Banas 2015-08-03 02:51:33 EDT
Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 1 PID: 95 at kernel/softirq.c:150 __local_bh_enable_ip+0x72/0xa0()
Modules linked in: nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw nls_utf8 iTCO_wdt brcmfmac iTCO_vendor_support intel_rapl hfsplus iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel brcmutil cfg80211 kvm applesmc input_polldev snd_hda_codec_cirrus snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel btusb snd_hda_controller btbcm snd_hda_codec btintel bluetooth snd_hda_core i2c_i801 snd_hwdep lpc_ich snd_seq mmc_core
 mfd_core snd_seq_device rfkill snd_pcm mei_me snd_timer snd shpchp sbs soundcore mei sbshc apple_bl nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c dm_crypt uas usb_storage i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul drm crc32c_intel ghash_clmulni_intel video
CPU: 1 PID: 95 Comm: kworker/u16:2 Not tainted 4.1.2-200.fc22.x86_64 #1
Hardware name: Apple Inc. MacBookPro12,1/Mac-E43C1C25D4880AD6, BIOS MBP121.88Z.0167.B07.1506051617 06/05/2015
Workqueue: msgbuf_txflow brcmf_msgbuf_txflow_worker [brcmfmac]
 0000000000000000 00000000442287d8 ffff880089d5bcc8 ffffffff8179aa6d
 0000000000000000 0000000000000000 ffff880089d5bd08 ffffffff810a163a
 ffff880089d5bd38 0000000000000200 ffff880258d82ea8 ffff88008a710000
Call Trace:
 [<ffffffff8179aa6d>] dump_stack+0x45/0x57
 [<ffffffff810a163a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a176a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff810a5782>] __local_bh_enable_ip+0x72/0xa0
 [<ffffffff817a0b0e>] _raw_read_unlock_bh+0x1e/0x20
 [<ffffffffa02f1130>] xs_udp_write_space+0x40/0x50 [sunrpc]
 [<ffffffff8166762b>] sock_wfree+0x5b/0x70
 [<ffffffffa0703165>] brcmf_msgbuf_txflow_worker+0xc5/0x2f0 [brcmfmac]
 [<ffffffff810baa6b>] process_one_work+0x1bb/0x410
 [<ffffffff810bad13>] worker_thread+0x53/0x480
 [<ffffffff810bacc0>] ? process_one_work+0x410/0x410
 [<ffffffff810c0b88>] kthread+0xd8/0xf0
 [<ffffffff810c0ab0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817a1422>] ret_from_fork+0x42/0x70
 [<ffffffff810c0ab0>] ? kthread_worker_fn+0x180/0x180
Comment 1 Martin Banas 2015-08-03 02:51:38 EDT
Created attachment 1058660 [details]
File: dmesg
Comment 2 Justin M. Forbes 2015-10-20 15:24:56 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-11-23 12:13:52 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 4 askulysh 2015-12-24 04:20:38 EST
This bug is present in Fedora 23 also. Kernel 4.2.7-300.fc23.x86_64

[40581.332246] ------------[ cut here ]------------
[40581.332252] WARNING: CPU: 3 PID: 1979 at kernel/softirq.c:150 __local_bh_enable_ip+0x6c/0x90()
[40581.332253] Modules linked in: nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache vhost_net vhost macvtap macvlan snd_usb_audio snd_usbmidi_lib snd_rawmidi fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_nat ebtable_broute bridge stp llc ebtables ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw bnep btusb btrtl btbcm btintel bluetooth joydev bcm5974 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm brcmfmac iTCO_wdt iTCO_vendor_support nls_utf8 hfsplus
[40581.332279]  crct10dif_pclmul crc32_pclmul brcmutil crc32c_intel snd_hda_codec_hdmi applesmc snd_hda_codec_cirrus snd_hda_codec_generic input_polldev cfg80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device mmc_core snd_pcm i2c_i801 rfkill mei_me lpc_ich mei shpchp snd_timer sbs snd acpi_als kfifo_buf sbshc industrialio apple_bl soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 hid_apple i2c_algo_bit drm_kms_helper uas drm usb_storage ax88179_178a usbnet mii video
[40581.332300] CPU: 3 PID: 1979 Comm: kworker/u16:2 Not tainted 4.2.7-300.fc23.x86_64 #1
[40581.332301] Hardware name: Apple Inc. MacBookPro12,1/Mac-E43C1C25D4880AD6, BIOS MBP121.88Z.0167.B07.1506051617 06/05/2015
[40581.332308] Workqueue: msgbuf_txflow brcmf_msgbuf_txflow_worker [brcmfmac]
[40581.332309]  0000000000000000 00000000cd4e5604 ffff8802c25dfcc8 ffffffff81772baa
[40581.332311]  0000000000000000 0000000000000000 ffff8802c25dfd08 ffffffff8109e4b6
[40581.332312]  ffff8802c25dfd38 0000000000000200 ffff8804587a3268 ffff880360e0c000
[40581.332313] Call Trace:
[40581.332317]  [<ffffffff81772baa>] dump_stack+0x45/0x57
[40581.332320]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[40581.332322]  [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
[40581.332323]  [<ffffffff810a239c>] __local_bh_enable_ip+0x6c/0x90
[40581.332325]  [<ffffffff817790ce>] _raw_read_unlock_bh+0x1e/0x20
[40581.332331]  [<ffffffffa01fa040>] xs_udp_write_space+0x40/0x50 [sunrpc]
[40581.332334]  [<ffffffff8164adf5>] sock_wfree+0x55/0x60
[40581.332338]  [<ffffffffa04f47cb>] brcmf_msgbuf_txflow_worker+0xbb/0x2c0 [brcmfmac]
[40581.332340]  [<ffffffff810b650e>] process_one_work+0x19e/0x3f0
[40581.332342]  [<ffffffff810b67ae>] worker_thread+0x4e/0x450
[40581.332344]  [<ffffffff810b6760>] ? process_one_work+0x3f0/0x3f0
[40581.332345]  [<ffffffff810b6760>] ? process_one_work+0x3f0/0x3f0
[40581.332347]  [<ffffffff810bc8b8>] kthread+0xd8/0xf0
[40581.332349]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[40581.332350]  [<ffffffff8177999f>] ret_from_fork+0x3f/0x70
[40581.332352]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[40581.332353] ---[ end trace db69aa12467ec28c ]---
Comment 5 Arend van Spriel 2015-12-24 04:58:22 EST
Can you provide .config for FC23 kernel used?
Comment 6 askulysh 2015-12-24 05:01 EST
Created attachment 1109164 [details]
requested FC23 .config

Note You need to log in before you can comment on or make changes to this bug.